/*
Theme Name:   Sac Petroli Theme
Description:  Tema sviluppato da Pubblisole per Sac Petroli
Author:       Pubblisole
Author URI:   https://pubblisole.it
Template:     hello-elementor
Version:      1.0.0
*/

#sticky_h, #logo {
    transition: all .6s ease-in-out;
}

#sticky_h.hidden {
    transform: translateY(-100px);
}

#sticky_h.scrolled {
    min-height: 70px;
}

#sticky_h.scrolled #logo{
    max-width: 80px !important;
}

#sticky_h.scrolled #logo{
    max-width: 80px !important;
}

#sticky_h.scrolled ul .elementor-item{
    padding-top: 20px;
    padding-bottom: 20px;
}

.cta-row a:before {
    content: '';
    display: block;
    width: 100%;
    max-width: 40px;
    height: 2px;
    background-color: #4a4a4a;
    transition: all .4s ease-in-out;
}

.cta-row a{
    display: flex;
    gap: 10px !important;
    align-items: center !important;
}

.cta-row a:hover:before{
    max-width: 60px;
    background-color: #3B89C8;
}

p b, p strong {
    font-weight: 600;
    color: #0b7296;
}

::selection {
    background-color: #0b7296;
    color: #fff;
}

@media (min-width: 750px) {
    body:not(.elementor-editor-active) {
        cursor: none !important;
    }
    body:not(.elementor-editor-active) .cursor {
        width: 20px;
        height: 20px;
        background-color: #00A2F0;
        border-radius: 50%;
        position: fixed;
        transform: translate(-50%, -50%);
        pointer-events: none;
        transition: width 0.4s ease-in-out, height 0.4s ease-in-out, border .2s ease-in-out;
        z-index: 999;
        display: flex;
        justify-content: center;
        align-items: center;
        left: -50px;
        top: -50px;
        border: 0 solid #00A2F0;
    }
    body:not(.elementor-editor-active) .cursor.large {
        width: 60px;
        height: 60px;
        padding: 8px;
        background-color: transparent;
        border: 4px solid #00A2F0;
    }
    body:not(.elementor-editor-active) .cursor.large .hover {
        opacity: 1;
        font-size: 10px;
        letter-spacing: 1px;
    }
    body:not(.elementor-editor-active) .cursor .hover {
        font-size: 1px;
        letter-spacing: 0;
        line-height: 1em;
        color: #312f2d;
        opacity: 0;
        transition: all 0.6s;
        text-align: center;
    }
    body:not(.elementor-editor-active) a, body:not(.elementor-editor-active) button {
        cursor: none !important;
    }
}

.fancybox-container, .fancybox-arrow, .fancybox-button, #wpadminbar{
    cursor: auto !important;
}

#wpadminbar a {
    cursor: pointer !important;
}